# tasks file for ./roles/tomcat
- name: Check tomcat base directory exists
  stat:
    path: "{{ tomcat_base }}"
  register: tomcat_base_dir_status

- block:

  - name: Create base directory for tomcat
    file:
      path: "{{ tomcat_base }}"
      state: directory
      mode: 0755

  - name: Check tomcat archive exists
    stat:
      path: "{{ tomcat_files }}/{{ tomcat_archive }}"
    register: tomcat_archive_status

  - name: Download tomcat
    get_url:
      url: "{{ tomcat_download_url }}"
      dest: "{{ tomcat_files }}"
      mode: 0755
      checksum: "{{ tomcat_archive_checksum }}"
    when: not tomcat_archive_status.stat.exists

  when: not tomcat_base_dir_status.stat.exists

- name: Check tomcat home exists
  stat:
    path: "{{ tomcat_home }}"
  register: tomcat_home_status

- name: Unpack tomcat archive
  unarchive:
    src: "{{ tomcat_files }}/{{ tomcat_archive }}"
    dest: "{{ tomcat_base }}"
    mode: 0755
  when: not tomcat_home_status.stat.exists

- name: Change tomcat connector port
  template: 
    src: server.xml.j2
    dest: "{{ tomcat_home }}/conf/server.xml"
    mode: 0755
  notify: Start tomcat service

#- name: Clean up downloaded file
#  file:
#    state: absent
#    path: "{{ tomcat_base }}/{{ tomcat_archive }}"
#    mode: 0755
